Last Comment Bug 755834 - Use even lower precision bilinear interpolation when scaling 565 to 565
: Use even lower precision bilinear interpolation when scaling 565 to 565
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: mozilla15
Assigned To: Jeff Muizelaar [:jrmuizel]
:
: Milan Sreckovic [:milan]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-16 11:11 PDT by Jeff Muizelaar [:jrmuizel]
Modified: 2012-05-29 12:50 PDT (History)
4 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
soft


Attachments
Use skia style fastness (5.02 KB, patch)
2012-05-16 11:11 PDT, Jeff Muizelaar [:jrmuizel]
joe: review+
joe: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Jeff Muizelaar [:jrmuizel] 2012-05-16 11:11:26 PDT
Created attachment 624452 [details] [diff] [review]
Use skia style fastness
Comment 1 Joe Drew (not getting mail) 2012-05-16 14:25:10 PDT
Comment on attachment 624452 [details] [diff] [review]
Use skia style fastness

Review of attachment 624452 [details] [diff] [review]:
-----------------------------------------------------------------

r=me

Please prove try pass for greater clarity

::: gfx/cairo/libpixman/src/pixman-fast-path.c
@@ +1301,5 @@
> +   This gives us 5 extra bits of space before each component to let us do
> +   SWAR style optimizations
> +*/
> +
> +#define GREEN_MASK (((1<<6)-1)<<5)

Can you add spaces here for greater clarity

@@ +1327,2 @@
>  
> +    xy = x * y >> 3;

Can you parenthesize here for greater clarity

@@ +1351,5 @@
>  	uint16_t tr = src_top [pixman_fixed_to_int (vx) + 1];
>  	uint16_t bl = src_bottom [pixman_fixed_to_int (vx)];
>  	uint16_t br = src_bottom [pixman_fixed_to_int (vx) + 1];
>  
> +        uint16_t d = bilinear_interpolation_565 (tl, tr, bl, br, (vx>>12)&0xf, wb>>4);

Can you add spaces here for greater clarity
Comment 2 Jeff Muizelaar [:jrmuizel] 2012-05-17 14:14:41 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/fd62921a71d8
Comment 3 Ryan VanderMeulen [:RyanVM] 2012-05-17 20:47:55 PDT
https://hg.mozilla.org/mozilla-central/rev/fd62921a71d8
Comment 4 Jeff Muizelaar [:jrmuizel] 2012-05-23 06:13:17 PDT
Comment on attachment 624452 [details] [diff] [review]
Use skia style fastness

[Approval Request Comment]
User impact if declined: The performance improvement at the right side of this chart:
http://graphs.mozilla.org/graph.html#tests=[[201,63,20],[175,63,20]]&sel=none&displayrange=7&datatype=running
Testing completed (on m-c, etc.): has been on m-c for a couple of days
Risk to taking this patch (and alternatives if risky): Mobile and relatively low risk. Any problems would lead to noticeable rendering artifacts
String or UUID changes made by this patch: None
Comment 5 Joe Drew (not getting mail) 2012-05-23 10:41:15 PDT
This applies only to non-NEON devices like Tegra; NEON-using devices take a different path.
Comment 6 Jeff Muizelaar [:jrmuizel] 2012-05-29 12:50:34 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/a4080bb8c16e

Note You need to log in before you can comment on or make changes to this bug.